#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:       kwalletmanager
Summary:    KDE Wallet Management Tool
Version: 17.12.2
Release:    %mkrel %{rel}
Group:      Security
License:    GPLv2 and LGPLv2
URL:        http://www.kde.org/applications/system/kwalletmanager/
Source0:    http://download.kde.org/stable/%{version}/src/%name-%{version}.tar.xz


BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)


BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel >= 5.2.0
BuildRequires: kdoctools-devel >= 5.2.0
BuildRequires: kauth-devel >= 5.2.0
BuildRequires: kwallet-devel >= 5.2.0
BuildRequires: kservice-devel >= 5.2.0
BuildRequires: kcmutils-devel >= 5.2.0
BuildRequires: kdelibs4support-devel >= 5.2.0
BuildRequires: ki18n-devel >= 5.2.0
BuildRequires: kxmlgui-devel >= 5.2.0
BuildRequires: kconfig-devel >= 5.2.0
BuildRequires: kconfigwidgets-devel >= 5.2.0
BuildRequires: kdbusaddons-devel >= 5.2.0

Conflicts: kdeutils4-core < 4.5.72
Requires:  kwallet
Recommends: %{name}-handbook

Conflicts: kwallet < 4.12.80
Obsoletes: kwallet < 4.12.80

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

%files -f %name.lang
%_kf5_bindir/kwalletmanager5
%_kf5_datadir/applications/*.desktop
%_qt5_plugindir/*.so
%_kf5_services/*.desktop
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kxmlgui5/kwalletmanager5
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf
%_libexecdir/kauth/kcm_kwallet_helper5
%_datadir/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
%_datadir/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy

#------------------------------------------------------------------------------

%package handbook
Summary: kwallet Handbook
Group: Documentation
BuildArch: noarch

Requires: %{name} >= %{version}-%{release}

Conflicts: kwallet < 4.7.1
Conflicts: kwallet-handbook < 4.12.80-2
Obsoletes: kwallet-handbook < 4.12.80-2

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description handbook
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

This package provides kwalletmanager handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kwallet5

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202335
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090137
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076880
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072073
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067392
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061455
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1052358
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047366
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040120
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012610
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004399
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 994967
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991243
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987521
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922685
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911969
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905427
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901163
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890644
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880456
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865974
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863701
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861787
- New version 15.07.90

* Wed Aug 05 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 861160
- New version 15.07.80

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800658
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787756
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 747974
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734606
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 681246
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667543
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 663055
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656733
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653918
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652029
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636792
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625559
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615636
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609452
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606893
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603400
- New version 4.12.80

* Wed Mar 12 2014 lmenut <lmenut> 4.12.80-3.mga5
+ Revision: 602701
- fix conflicts and obsoletes versions according to handbook renaming

* Sat Mar 08 2014 lmenut <lmenut> 4.12.80-2.mga5
+ Revision: 601239
- rename handbook
- add missing conflicts and obsoletes according to renaming

* Sat Mar 08 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 601084
- Rename spec file
- Rename as upstream
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 592139
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580882
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555052
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551324
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540341
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490797
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488652
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476884
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465227
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458970
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455356
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447997
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435363
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428474
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407288
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401929
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394451
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339554
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334613
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326814
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320333
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316237
- Update tarball to KDE SC 4.9.3

  + fwang <fwang>
    - update rpm group

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301985
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289789
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277034
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269707
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266269
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257273
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228470
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 4.8.1-2.mga2
+ Revision: 227489
- add missing suggests

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221504
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198383
- Updating tarball to KDE 4.8.0
- Drop patch0
- Fix Group

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191539
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186367
- Update tarball to KDE 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181497
- imported package kwallet

